org.apache.ignite.internal.processors.cache.query

## Class ScoredCacheEntry<K,V>

- java.lang.Object
- - org.apache.ignite.lang.IgniteBiTuple<K,V>
  - - org.apache.ignite.internal.processors.cache.query.ScoredCacheEntry<K,V>

All Implemented Interfaces:
  Externalizable, Serializable, Cloneable, Iterable<Object>, Map<K,V>, Map.Entry<K,V>

    public class ScoredCacheEntry<K,V>
    extends IgniteBiTuple<K,V>

Represents cache key-value pair and score to compare cache entry by custom rule.

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from interface java.util.Map

`Map.Entry<K,V>`

### Constructor Summary

Constructors
Constructor and Description
`ScoredCacheEntry()`
`ScoredCacheEntry(K key, V val, float score)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `readExternal(ObjectInput in)`
`float` `score()`
`String` `toString()`
`void` `writeExternal(ObjectOutput out)`

### Methods inherited from class org.apache.ignite.lang.IgniteBiTuple

`clear, clone, containsKey, containsValue, entrySet, equals, get, get1, get2, getKey, getValue, hashCode, isEmpty, iterator, keySet, put, putAll, remove, set, set1, set2, setValue, size, swap, values`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.util.Map

`compute, computeIfAbsent, computeIfPresent, forEach, getOrDefault, merge, putIfAbsent, remove, replace, replace, replaceAll`

### Methods inherited from interface java.util.Map.Entry

`comparingByKey, comparingByKey, comparingByValue, comparingByValue`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

### Constructor Detail

#### ScoredCacheEntry

    public ScoredCacheEntry()

#### ScoredCacheEntry

    public ScoredCacheEntry(K key,
                            V val,
                            float score)

### Method Detail

#### score

    public float score()

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Specified by:
  `writeExternal` in interface `Externalizable`
Overrides:
  `writeExternal` in class `IgniteBiTuple<K,V>`
Throws:
  `IOException`

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Specified by:
  `readExternal` in interface `Externalizable`
Overrides:
  `readExternal` in class `IgniteBiTuple<K,V>`
Throws:
  `IOException`
  `ClassNotFoundException`

#### toString

    public String toString()

Overrides:
  `toString` in class `IgniteBiTuple<K,V>`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.12.0
Release Date | : January 10 2022